<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
        <form>
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Login to your account</h3>
                    </div>
            
                    <div>
                        <div class="form-group">
                            <input type="text" name="username" placeholder="Username" id="inp-login-username"
                                class="form-control" value="" autocomplete="username">
                        </div>
                        <div class="form-group">
                            <input name="password" id="pwd-login-password" placeholder="Password" 
                             class="form-control" value="" autocomplete="inp-current-password" type="password">
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="rememberusername" id="ckb-remember-username" class="form-check-input">
                            <label class="form-check-label" for="rememberusername">Reemember username</label>
                            
                            <a class="float-right" href="#">Lost password?</a>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-log btn-block btn-info" id="btn-login">Đăng nhập</button>
                        </div>
                    </div>

                    <div class="text-left">Or <a href="#">Sign-up</a> for having an account</div>
                </div>
            </div>
        </form>
    </div>
   
</body>
<script>
$("#btn-login").click(function (event) {
    event.preventDefault();
    var userName = $("#inp-login-username").val();
    var passWord = $("#pwd-login-password").val();
    var remember = $("#ckb-remember-username").val();
    var isValidate = false;
    isValidate = validateInput(userName,passWord,remember)
    if (isValidate) {
        console.log("dữ liệu hợp lệ");
    } else {
        console.log("dữ KHÔNG liệu hợp lệ");
    }
})
function validateInput(paramUserName,paramPassWord,paramRemember) {
    var result = true;
    if(paramUserName.trim().length == 0){
        alert("Please enter UseraName");
        result = false;
    }
    if(paramPassWord.trim().length == 0){
        alert("Please enter PassWord");
        result = false;
    }
    return result;
}
</script>
</html>